net.sf.cpsolver.coursett

## Class TimetableXMLLoader.DatePattern

- java.lang.Object
- - net.sf.cpsolver.coursett.TimetableXMLLoader.DatePattern

- Enclosing class:
    TimetableXMLLoader

      public static class TimetableXMLLoader.DatePattern
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatePattern()`
    `DatePattern(Long id, String name, BitSet pattern)`
    `DatePattern(Long id, String name, String pattern)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `getId()`
    `String` | `getName()`
    `BitSet` | `getPattern()`
    `void` | `setId(Long id)`
    `void` | `setName(String name)`
    `void` | `setPattern(BitSet pattern)`
    `void` | `setPattern(int startDay, int endDay)`
    `void` | `setPattern(String pattern)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatePattern

          public DatePattern()

    - #### DatePattern

          public DatePattern(Long id,
                             String name,
                             BitSet pattern)

    - #### DatePattern

          public DatePattern(Long id,
                             String name,
                             String pattern)

  - ### Method Detail

    - #### getId

          public Long getId()

    - #### setId

          public void setId(Long id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getPattern

          public BitSet getPattern()

    - #### setPattern

          public void setPattern(BitSet pattern)

    - #### setPattern

          public void setPattern(String pattern)

    - #### setPattern

          public void setPattern(int startDay,
                                 int endDay)